# eric6.Plugins.VcsPlugins.vcsMercurial.HgAnnotateDialog

Module implementing a dialog to show the output of the hg annotate command.

### Global Attributes

None

### Classes

HgAnnotateDialog | Class implementing a dialog to show the output of the hg annotate command.

### Functions

None

## HgAnnotateDialog

Class implementing a dialog to show the output of the hg annotate command.

### Derived from

QDialog, Ui_HgAnnotateDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgAnnotateDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate an annotate item in the annotation list.
__processOutputLine | Private method to process the lines of output.
__resizeColumns | Private method to resize the list columns.
__showError | Private slot to show some error.
closeEvent | Protected slot implementing a close event handler.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
start | Public slot to start the annotate command.

### Static Methods

None

#### HgAnnotateDialog (Constructor)

HgAnnotateDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### HgAnnotateDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### HgAnnotateDialog.__generateItem

__generateItem(revision, changeset, author, date, text)

Private method to generate an annotate item in the annotation list.

revision
  revision string (string)
changeset
  changeset string (string)
author
  author of the change (string)
date
  date of the change (string)
text
  text of the change (string)

#### HgAnnotateDialog.__processOutputLine

__processOutputLine(line)

Private method to process the lines of output.

line
  output line to be processed (string)

#### HgAnnotateDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### HgAnnotateDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### HgAnnotateDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### HgAnnotateDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgAnnotateDialog.start

start(fn)

Public slot to start the annotate command.

fn
  filename to show the annotation for (string)

Up